# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):
    
    def forwards(self, orm):
        
        # Deleting model 'RendezVousSuivi'
        db.delete_table('contacts_rendezvoussuivi')

        # Deleting model 'RendezVousProjetBio'
        db.delete_table('contacts_rendezvousprojetbio')

        # Deleting model 'RendezVous'
        db.delete_table('contacts_rendezvous')
    
    
    def backwards(self, orm):
        
        # Adding model 'RendezVousSuivi'
        db.create_table('contacts_rendezvoussuivi', (
            ('rendezvous_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['contacts.RendezVous'], unique=True, primary_key=True)),
            ('agriculteur_bio', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['contacts.Structure'])),
        ))
        db.send_create_signal('contacts', ['RendezVousSuivi'])

        # Adding model 'RendezVousProjetBio'
        db.create_table('contacts_rendezvousprojetbio', (
            ('rendezvous_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['contacts.RendezVous'], unique=True, primary_key=True)),
            ('agriculteur', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['contacts.Structure'])),
            ('type', self.gf('django.db.models.fields.CharField')(max_length=250)),
            ('projet_bio', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['contacts.ProjetBio'])),
        ))
        db.send_create_signal('contacts', ['RendezVousProjetBio'])

        # Adding model 'RendezVous'
        db.create_table('contacts_rendezvous', (
            ('date', self.gf('django.db.models.fields.DateField')(db_index=True)),
            ('commentaire', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('technicien', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['auth.User'], null=True, blank=True)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
        ))
        db.send_create_signal('contacts', ['RendezVous'])
    
    
    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2015, 6, 29, 10, 50, 11, 236139)'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2015, 6, 29, 10, 50, 11, 236081)'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'contacts.adhesiongabnor': {
            'Meta': {'object_name': 'AdhesionGabnor'},
            'agriculteur_bio': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contacts.Structure']"}),
            'annee': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'date': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'montant': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '8', 'decimal_places': '2', 'blank': 'True'})
        },
        'contacts.adhlogin': {
            'Meta': {'object_name': 'AdhLogin', 'db_table': "'auth_user'", '_ormbases': ['auth.User']}
        },
        'contacts.assolement': {
            'Meta': {'object_name': 'Assolement'},
            'client': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.ClientCulture']", 'null': 'True', 'blank': 'True'}),
            'culture': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.Culture']"}),
            'detail_culture': ('django.db.models.fields.CharField', [], {'max_length': "'255'", 'null': 'True', 'blank': 'True'}),
            'donneesbio': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contacts.DonneesBio']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'prix': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'surface_bio': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '4', 'blank': 'True'}),
            'surface_c1': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '4', 'blank': 'True'}),
            'surface_c2': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '4', 'blank': 'True'}),
            'surface_c3': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '4', 'blank': 'True'}),
            'surface_conv': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '4', 'blank': 'True'}),
            'tonnage': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'type_circuit': ('django.db.models.fields.CharField', [], {'max_length': "'10'", 'null': 'True', 'blank': 'True'})
        },
        'contacts.commercialisation': {
            'Meta': {'object_name': 'Commercialisation'},
            'bio': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'ch_aff': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '0', 'blank': 'True'}),
            'detail': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'donneesbio': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contacts.DonneesBio']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'type_circuit': ('django.db.models.fields.CharField', [], {'default': "'autre'", 'max_length': '20'}),
            'type_produit': ('django.db.models.fields.CharField', [], {'default': "'autre'", 'max_length': '20'})
        },
        'contacts.documentjoint': {
            'Meta': {'object_name': 'DocumentJoint'},
            'date_depot': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'document': ('django.db.models.fields.files.FileField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'rdv': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contacts.Rdv']", 'null': 'True', 'blank': 'True'})
        },
        'contacts.donneesbio': {
            'Meta': {'object_name': 'DonneesBio'},
            'acc_act_autre': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'acc_act_peda': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'acc_act_tour': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'acc_rest_bio': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'agriculteur_bio': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contacts.Structure']"}),
            'aide_accompagnement': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'aide_accompagnement_precisions': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'aide_autres': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'aide_certification_bio': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'aide_conversion_ab': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'aide_credit_impot': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'aide_installation': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'aide_investissement': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'aide_mae_t': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'aide_maintien_ab': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'animaux_autres_prod': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'animaux_details_autres_prod': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'animaux_lapins': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'animaux_nb_autres_volailles': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'animaux_nb_lapins': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'animaux_nb_poulets': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'animaux_volailles': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'animaux_volailles_chair': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'annee': ('django.db.models.fields.IntegerField', [], {'default': '2015', 'db_index': 'True'}),
            'ass_total': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '10', 'decimal_places': '4', 'blank': 'True'}),
            'ass_total_bio': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '10', 'decimal_places': '4', 'blank': 'True'}),
            'biodynamie': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'bovine': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'bovine_adultes_cc': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'bovine_nb_conversion': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'bovine_nb_va': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'bovine_reformes_cl': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'bovine_taurillons_cl': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'bovine_veaux_cc': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'com_ca_total': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '0'}),
            'com_pct_ca_bio': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '4', 'decimal_places': '0'}),
            'date_aide_conversion_ab': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'date_collecte': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'date_modification': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'date_validation': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'detail_activites': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'etp_associes': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '6', 'decimal_places': '2', 'blank': 'True'}),
            'etp_encadrants': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '6', 'decimal_places': '2', 'blank': 'True'}),
            'etp_familiaux': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '6', 'decimal_places': '2', 'blank': 'True'}),
            'etp_saisonniers': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '6', 'decimal_places': '2', 'blank': 'True'}),
            'etp_salaries_permanents': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '6', 'decimal_places': '2', 'blank': 'True'}),
            'formation_annee': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'formation_annee_commentaire': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'formation_annee_laquelle': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.Formation']", 'null': 'True', 'blank': 'True'}),
            'formation_avenir': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'formation_avenir_details': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'formation_avenir_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.TypeFormation']", 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'lait_adultes_cc': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'lait_chevres': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'lait_chevres_conversion': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'lait_chevres_prod': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'lait_decoupe_presta': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'lait_laiterie': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.Laiterie']", 'null': 'True', 'blank': 'True'}),
            'lait_nb_chevres': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'lait_nb_vaches': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'lait_prod_laiterie': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'lait_prod_vente_directe': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'lait_quota_laiterie': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'lait_quota_vente_directe': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'lait_reformes_cl': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'lait_taurillons_cl': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'lait_vaches': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'lait_vaches_conversion': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'lait_veaux_cc': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'miel_nb_ruches': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'miel_production_bio': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'moutons': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'moutons_nb_agn_com': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'moutons_nb_brebis': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'oeufs_acheteur_cl': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.AcheteurOeufs']", 'null': 'True', 'blank': 'True'}),
            'oeufs_nb_oeufs': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'oeufs_nb_pondeuses': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'oeufs_production_bio': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'organisme_certification': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.OrganismeDeCertification']", 'null': 'True', 'blank': 'True'}),
            'personnes_insertion': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'porcs': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'porcs_nb_com': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'porcs_nb_truies': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'remarques': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'reseaux_engagements': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'statut_choisi': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.StatutCommercialisation']", 'null': 'True', 'blank': 'True'}),
            'statut_commercialisation': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'technicien': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']", 'null': 'True', 'blank': 'True'}),
            'tr_date_fin_prevue': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'tr_precisions': ('django.db.models.fields.TextField', [], {'default': "u''", 'blank': 'True'}),
            'tr_repreneur_id': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'})
        },
        'contacts.personne': {
            'Meta': {'object_name': 'Personne'},
            'adresse': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'civilite': ('django.db.models.fields.CharField', [], {'max_length': "'10'", 'null': 'True', 'blank': 'True'}),
            'code_postal': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'commune': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.Commune']", 'null': 'True', 'blank': 'True'}),
            'courriel': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'courrier_structure': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'date_creation': ('django.db.models.fields.DateField', [], {}),
            'date_derniere_modification': ('django.db.models.fields.DateField', [], {}),
            'date_installation': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'date_naissance': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'fax': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fonction': ('django.db.models.fields.CharField', [], {'max_length': "'255'", 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'pas_de_courriel': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'prenom': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'reseaux_engagements': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'structure': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contacts.Structure']"}),
            'tel_fixe': ('django.db.models.fields.CharField', [], {'max_length': '100', 'blank': 'True'}),
            'tel_mobile': ('django.db.models.fields.CharField', [], {'max_length': '100', 'blank': 'True'}),
            'utilisateur_derniere_modification': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"}),
            'ville': ('django.db.models.fields.CharField', [], {'max_length': "'255'", 'null': 'True', 'blank': 'True'})
        },
        'contacts.projetbio': {
            'Meta': {'object_name': 'ProjetBio'},
            'agriculteur': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contacts.Structure']"}),
            'commentaire': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'date_certification': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'date_engagement_oc': ('django.db.models.fields.DateField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'date_etude': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'date_probable_certification': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'engagement_oc_enjeu_eau': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '4', 'blank': 'True'}),
            'engagement_surf': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '4', 'blank': 'True'}),
            'etude_demandee': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'freins_identifies': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'installation_bio': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'pond_commercialisation': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'pond_entourage': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'pond_financement': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'pond_foncier': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'pond_maindoeuvre': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'pond_materiel': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'pond_motivation': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'pond_reglementation': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'pond_savoirfaire': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'remarques': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'suites_a_donner': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'technicien': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']", 'null': 'True', 'blank': 'True'})
        },
        'contacts.rdv': {
            'Meta': {'object_name': 'Rdv'},
            'acc_distance': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '4', 'decimal_places': '1', 'blank': 'True'}),
            'acc_duree': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '3', 'decimal_places': '1', 'blank': 'True'}),
            'commentaire': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'date': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'est_confirme': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'finance_prog': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.FinanceProg']", 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'intervenant': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'intervenant_pers'", 'null': 'True', 'to': "orm['contacts.Personne']"}),
            'lieu': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.Commune']", 'null': 'True', 'blank': 'True'}),
            'objectif': ('django.db.models.fields.TextField', [], {'default': "''", 'blank': 'True'}),
            'organisateur': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'organisation_pers'", 'null': 'True', 'to': "orm['contacts.Personne']"}),
            'personne_morale': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'rdv_ind_set'", 'null': 'True', 'to': "orm['contacts.Structure']"}),
            'personnes': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['contacts.Personne']", 'through': "orm['contacts.RdvPersonne']", 'symmetrical': 'False'}),
            'personnes_morales': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['contacts.Structure']", 'through': "orm['contacts.RdvPersonneMorale']", 'symmetrical': 'False'}),
            'pk_rdv_bio': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'pk_rdv_suivi': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'projet_bio': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contacts.ProjetBio']", 'null': 'True', 'blank': 'True'}),
            'public_cible': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'to': "orm['references.PublicCible']", 'null': 'True', 'blank': 'True'}),
            'res_attendu': ('django.db.models.fields.TextField', [], {'default': "''", 'blank': 'True'}),
            'technicien': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"}),
            'titre_evt': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.Formation']", 'null': 'True', 'blank': 'True'}),
            'type_rdv': ('django.db.models.fields.CharField', [], {'max_length': '25'}),
            'zone_cible': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'to': "orm['references.Zone']", 'null': 'True', 'blank': 'True'})
        },
        'contacts.rdvpersonne': {
            'Meta': {'unique_together': "(('rdv', 'personne'),)", 'object_name': 'RdvPersonne', 'db_table': "'contacts_rdv_personnes'"},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'personne': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contacts.Personne']"}),
            'rdv': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contacts.Rdv']"})
        },
        'contacts.rdvpersonnemorale': {
            'Meta': {'unique_together': "(('rdv', 'structure'),)", 'object_name': 'RdvPersonneMorale', 'db_table': "'contacts_rdv_personnes_morales'"},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'rdv': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contacts.Rdv']"}),
            'structure': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contacts.Structure']"})
        },
        'contacts.structure': {
            'Meta': {'object_name': 'Structure'},
            'adherent': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']", 'null': 'True', 'blank': 'True'}),
            'adresse': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'annee_contact': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'code_postal': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'commentaire': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'commune': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.Commune']", 'null': 'True', 'blank': 'True'}),
            'courriel': ('django.db.models.fields.CharField', [], {'max_length': '250', 'null': 'True', 'blank': 'True'}),
            'date_creation': ('django.db.models.fields.DateField', [], {}),
            'date_derniere_modification': ('django.db.models.fields.DateField', [], {}),
            'date_envoi_courrier': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'etiquettes': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'to': "orm['references.Etiquette']", 'null': 'True', 'blank': 'True'}),
            'f_juridique': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.FormeJuridique']", 'null': 'True', 'blank': 'True'}),
            'fax': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'laiterie': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.Laiterie']", 'null': 'True', 'blank': 'True'}),
            'mois_contact': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'nb_vaches_allaitantes': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'origine_contact': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'parc_naturel_regional': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'pas_de_courriel': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'premiere_adhesion': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'premieres_adhesions'", 'null': 'True', 'to': "orm['contacts.AdhesionGabnor']"}),
            'qual_compl': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'to': "orm['references.AutreQualificatifExploitation']", 'null': 'True', 'blank': 'True'}),
            'qual_compl_conv': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'related_name': "'structure_conv'", 'null': 'True', 'symmetrical': 'False', 'to': "orm['references.AutreQualificatifExploitation']"}),
            'quota_laitier': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'renouvellement_adhesion': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'renouvellements'", 'null': 'True', 'to': "orm['contacts.AdhesionGabnor']"}),
            'sage': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'sau': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '2', 'blank': 'True'}),
            'sau_bio': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '2', 'blank': 'True'}),
            'sau_eau': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '2', 'blank': 'True'}),
            'sau_eau_bio': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '2', 'blank': 'True'}),
            'siret': ('django.db.models.fields.CharField', [], {'max_length': '14', 'null': 'True', 'blank': 'True'}),
            'site_web': ('django.db.models.fields.URLField', [], {'max_length': '250', 'null': 'True', 'blank': 'True'}),
            'statut': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.StatutStructure']", 'null': 'True', 'blank': 'True'}),
            'tel_fixe': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'tel_mobile': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'type_activite': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.TypeActivite']", 'null': 'True', 'blank': 'True'}),
            'type_activite_pri': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'structure_pri'", 'null': 'True', 'to': "orm['references.TypeActivite']"}),
            'type_pm': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'utilisateur_derniere_modification': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"}),
            'ville': ('django.db.models.fields.CharField', [], {'max_length': "'255'", 'null': 'True', 'blank': 'True'}),
            'visibilite': ('django.db.models.fields.CharField', [], {'default': "'personne'", 'max_length': '255'})
        },
        'contacts.transformation': {
            'Meta': {'object_name': 'Transformation'},
            'agrmt': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'donneesbio': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contacts.DonneesBio']"}),
            'est_bio': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'ferme': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'lait_abattoirs_vl': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'to': "orm['references.Abattoir']", 'null': 'True', 'blank': 'True'}),
            'list_pduit': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'part_vol_glob': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '0', 'blank': 'True'}),
            'type_pduit': ('django.db.models.fields.CharField', [], {'max_length': '20'})
        },
        'contenttypes.contenttype': {
            'Meta': {'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'references.abattoir': {
            'Meta': {'object_name': 'Abattoir'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '250'})
        },
        'references.acheteuroeufs': {
            'Meta': {'object_name': 'AcheteurOeufs'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.arrondissement': {
            'Meta': {'unique_together': "(('numero', 'departement'),)", 'object_name': 'Arrondissement'},
            'departement': ('django.db.models.fields.IntegerField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'numero': ('django.db.models.fields.IntegerField', [], {}),
            'region': ('django.db.models.fields.IntegerField', [], {})
        },
        'references.autrequalificatifexploitation': {
            'Meta': {'object_name': 'AutreQualificatifExploitation'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.canton': {
            'Meta': {'unique_together': "(('numero', 'arrondissement'),)", 'object_name': 'Canton'},
            'arrondissement': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.Arrondissement']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'numero': ('django.db.models.fields.IntegerField', [], {})
        },
        'references.clientculture': {
            'Meta': {'object_name': 'ClientCulture'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.commune': {
            'Meta': {'object_name': 'Commune'},
            'arrondissement': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.Arrondissement']"}),
            'cantons': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'to': "orm['references.Canton']", 'null': 'True', 'blank': 'True'}),
            'code_commune': ('django.db.models.fields.CharField', [], {'max_length': "'15'", 'null': 'True', 'blank': 'True'}),
            'code_postal': ('django.db.models.fields.CharField', [], {'max_length': "'15'", 'null': 'True', 'blank': 'True'}),
            'enjeu_eau': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'petite_region': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.PetiteRegionAgricole']"}),
            'zone': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.Zone']"})
        },
        'references.culture': {
            'Meta': {'object_name': 'Culture'},
            'categorie': ('django.db.models.fields.CharField', [], {'max_length': "'100'"}),
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'indice_ordre': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'})
        },
        'references.etiquette': {
            'Meta': {'object_name': 'Etiquette'},
            'description': ('django.db.models.fields.CharField', [], {'max_length': "'255'", 'null': 'True', 'blank': 'True'}),
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.financeprog': {
            'Meta': {'object_name': 'FinanceProg'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.formation': {
            'Meta': {'object_name': 'Formation'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.formejuridique': {
            'Meta': {'object_name': 'FormeJuridique'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.laiterie': {
            'Meta': {'object_name': 'Laiterie'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '250'})
        },
        'references.organismedecertification': {
            'Meta': {'object_name': 'OrganismeDeCertification'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '250'})
        },
        'references.petiteregionagricole': {
            'Meta': {'object_name': 'PetiteRegionAgricole'},
            'code': ('django.db.models.fields.IntegerField', [], {'unique': 'True'}),
            'departement': ('django.db.models.fields.CharField', [], {'max_length': '3'}),
            'grande_region': ('django.db.models.fields.IntegerField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        'references.publiccible': {
            'Meta': {'object_name': 'PublicCible'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '250'})
        },
        'references.statutcommercialisation': {
            'Meta': {'object_name': 'StatutCommercialisation'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.statutstructure': {
            'Meta': {'object_name': 'StatutStructure'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.typeactivite': {
            'Meta': {'object_name': 'TypeActivite'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.typeformation': {
            'Meta': {'object_name': 'TypeFormation'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.zone': {
            'Meta': {'object_name': 'Zone'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        }
    }
    
    complete_apps = ['contacts']
