# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):
    
    def forwards(self, orm):
        
        # Adding field to Structure
        db.add_column('contacts_structure', 'sau_eau_bio', self.gf('django.db.models.fields.DecimalField')(null=True, max_digits=10, decimal_places=2, blank=True), keep_default=False)
        db.add_column('contacts_structure', 'laiterie', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['references.Laiterie'], null=True, blank=True), keep_default=False)
        db.add_column('contacts_structure', 'sau', self.gf('django.db.models.fields.DecimalField')(null=True, max_digits=10, decimal_places=2, blank=True), keep_default=False)
        db.add_column('contacts_structure', 'sau_eau', self.gf('django.db.models.fields.DecimalField')(null=True, max_digits=10, decimal_places=2, blank=True), keep_default=False)
        db.add_column('contacts_structure', 'nb_vaches_allaitantes', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True), keep_default=False)
        db.add_column('contacts_structure', 'visibilite', self.gf('django.db.models.fields.CharField')(default='personne', max_length=255), keep_default=False)
        db.add_column('contacts_structure', 'type_activite', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['references.TypeActivite'], null=True, blank=True), keep_default=False)
        db.add_column('contacts_structure', 'parc_naturel_regional', self.gf('django.db.models.fields.CharField')(max_length=200, null=True, blank=True), keep_default=False)
        db.add_column('contacts_structure', 'sau_bio', self.gf('django.db.models.fields.DecimalField')(null=True, max_digits=10, decimal_places=2, blank=True), keep_default=False)
        db.add_column('contacts_structure', 'quota_laitier', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True), keep_default=False)

        # Adding M2M table for field qualificatifs_complementaires on 'Structure'
        db.create_table('contacts_structure_qual_compl', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('structure', models.ForeignKey(orm['contacts.structure'], null=False)),
            ('autrequalificatifexploitation', models.ForeignKey(orm['references.autrequalificatifexploitation'], null=False))
        ))
        db.create_unique('contacts_structure_qual_compl', ['structure_id', 'autrequalificatifexploitation_id'])

        # rename fields in Agriculteur
        db.rename_column('contacts_agriculteur', 'sau_eau_bio', 'leg_sau_eau_bio')
        db.rename_column('contacts_agriculteur', 'laiterie_id', 'leg_laiterie_id')
        db.rename_column('contacts_agriculteur', 'quota_laitier', 'leg_quota_laitier')
        db.rename_column('contacts_agriculteur', 'sau_eau', 'leg_sau_eau')
        db.rename_column('contacts_agriculteur', 'nb_vaches_allaitantes', 'leg_nb_vaches_allaitantes')
        db.rename_column('contacts_agriculteur', 'visibilite', 'leg_visibilite')
        db.rename_column('contacts_agriculteur', 'parc_naturel_regional', 'leg_parc_naturel_regional')
        db.rename_column('contacts_agriculteur', 'sau_bio', 'leg_sau_bio')
        db.rename_column('contacts_agriculteur', 'sau', 'leg_sau')
        db.rename_column('contacts_agriculteur', 'type_activite_id', 'leg_type_activite_id')

    
    def backwards(self, orm):
        
        # Deleting field from Structure
        db.delete_column('contacts_structure', 'sau_eau_bio')
        db.delete_column('contacts_structure', 'laiterie_id')
        db.delete_column('contacts_structure', 'sau')
        db.delete_column('contacts_structure', 'sau_eau')
        db.delete_column('contacts_structure', 'nb_vaches_allaitantes')
        db.delete_column('contacts_structure', 'visibilite')
        db.delete_column('contacts_structure', 'type_activite_id')
        db.delete_column('contacts_structure', 'parc_naturel_regional')
        db.delete_column('contacts_structure', 'sau_bio')
        db.delete_column('contacts_structure', 'quota_laitier')
        # Deleting M2M for Structure
        db.delete_table('contacts_structure_qual_compl')

        # rename fields in Agriculteur
        db.rename_column('contacts_agriculteur', 'leg_sau_eau_bio', 'sau_eau_bio')
        db.rename_column('contacts_agriculteur', 'leg_laiterie_id', 'laiterie_id')
        db.rename_column('contacts_agriculteur', 'leg_quota_laitier', 'quota_laitier')
        db.rename_column('contacts_agriculteur', 'leg_sau_eau', 'sau_eau')
        db.rename_column('contacts_agriculteur', 'leg_nb_vaches_allaitantes', 'nb_vaches_allaitantes')
        db.rename_column('contacts_agriculteur', 'leg_visibilite', 'visibilite')
        db.rename_column('contacts_agriculteur', 'leg_parc_naturel_regional', 'parc_naturel_regional')
        db.rename_column('contacts_agriculteur', 'leg_sau_bio', 'sau_bio')
        db.rename_column('contacts_agriculteur', 'leg_sau', 'sau')
        db.rename_column('contacts_agriculteur', 'leg_type_activite_id', 'type_activite_id')
    
    
    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'contacts.adhesiongabnor': {
            'Meta': {'object_name': 'AdhesionGabnor'},
            'agriculteur_bio': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contacts.Structure']"}),
            'date': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'montant': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '8', 'decimal_places': '2', 'blank': 'True'})
        },
        'contacts.agriculteur': {
            'Meta': {'object_name': 'Agriculteur', '_ormbases': ['contacts.Structure']},
            'leg_laiterie': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.Laiterie']", 'null': 'True', 'blank': 'True'}),
            'leg_nb_vaches_allaitantes': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'leg_parc_naturel_regional': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'qualificatifs_complementaires': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'to': "orm['references.AutreQualificatifExploitation']", 'null': 'True', 'blank': 'True'}),
            'leg_quota_laitier': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'leg_sau': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '2', 'blank': 'True'}),
            'leg_sau_bio': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '2', 'blank': 'True'}),
            'leg_sau_eau': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '2', 'blank': 'True'}),
            'leg_sau_eau_bio': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '2', 'blank': 'True'}),
            'leg_type_activite': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.TypeActivite']", 'null': 'True', 'blank': 'True'}),
            'leg_visibilite': ('django.db.models.fields.CharField', [], {'default': "'personne'", 'max_length': '255'}),
            'structure_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['contacts.Structure']", 'unique': 'True', 'primary_key': 'True'})
        },
        'contacts.agriculteurbio': {
            'Meta': {'object_name': 'AgriculteurBio', '_ormbases': ['contacts.Agriculteur']},
            'agriculteur_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['contacts.Agriculteur']", 'unique': 'True', 'primary_key': 'True'}),
            'date_envoi_courrier': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'premiere_adhesion': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'premieres_adhesions'", 'null': 'True', 'to': "orm['contacts.AdhesionGabnor']"}),
            'renouvellement_adhesion': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'renouvellements'", 'null': 'True', 'to': "orm['contacts.AdhesionGabnor']"})
        },
        'contacts.assolement': {
            'Meta': {'object_name': 'Assolement'},
            'client': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.ClientCulture']", 'null': 'True', 'blank': 'True'}),
            'culture': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.Culture']"}),
            'detail_culture': ('django.db.models.fields.CharField', [], {'max_length': "'255'", 'null': 'True', 'blank': 'True'}),
            'donneesbio': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contacts.DonneesBio']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'prix': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'surface_bio': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '4', 'blank': 'True'}),
            'surface_c1': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '4', 'blank': 'True'}),
            'surface_c2': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '4', 'blank': 'True'}),
            'surface_c3': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '4', 'blank': 'True'}),
            'surface_conv': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '4', 'blank': 'True'}),
            'tonnage': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'type_circuit': ('django.db.models.fields.CharField', [], {'max_length': "'10'", 'null': 'True', 'blank': 'True'})
        },
        'contacts.donneesbio': {
            'Meta': {'object_name': 'DonneesBio'},
            'agriculteur_bio': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contacts.Structure']"}),
            'aide_accompagnement': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'aide_accompagnement_precisions': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'aide_autres': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'aide_certification_bio': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'aide_conversion_ab': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'aide_credit_impot': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'aide_installation': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'aide_investissement': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'aide_mae_t': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'aide_maintien_ab': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'animaux_atelier': ('django.db.models.fields.CharField', [], {'max_length': "'100'", 'null': 'True', 'blank': 'True'}),
            'animaux_autres_prod': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'animaux_comm_cc': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'animaux_comm_cl': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'animaux_comm_vd': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'animaux_decoupe_presta': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'animaux_details_autres_prod': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'animaux_hors_vd': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'animaux_lapins': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'animaux_lieu_abattage': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'animaux_nb_autres_volailles': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'animaux_nb_conversion': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'animaux_nb_lapins': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'animaux_nb_poulets': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'animaux_volailles': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'animaux_volailles_chair': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'annee': ('django.db.models.fields.IntegerField', [], {'default': '2014', 'db_index': 'True'}),
            'autres_comm_cc': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'autres_comm_cl': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'autres_comm_vd': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'autres_detail_transformation': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'autres_hors_vd': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'autres_nb_plants_an': ('django.db.models.fields.CharField', [], {'max_length': "'255'", 'null': 'True', 'blank': 'True'}),
            'autres_petits_fruits': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'autres_petits_fruits_detail': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'autres_plants_detail': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'autres_plants_maraichers': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'autres_ppam': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'autres_ppam_detail': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'autres_prod_veg': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'autres_prod_veg_detail': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'autres_transformation': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'biocabas_detail': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'biodynamie': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'bovine': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'bovine_abattoirs_va': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'related_name': "'abattoir_va'", 'null': 'True', 'symmetrical': 'False', 'to': "orm['references.Abattoir']"}),
            'bovine_adultes_cc': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'bovine_atelier_va': ('django.db.models.fields.CharField', [], {'max_length': "'100'", 'null': 'True', 'blank': 'True'}),
            'bovine_boeufs_cl': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'bovine_caissette': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'bovine_comm_cc': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'bovine_comm_cl': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'bovine_comm_vd': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'bovine_decoupe_presta': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'bovine_genisses_cl': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'bovine_hors_vd': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'bovine_nb_conversion': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'bovine_nb_va': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'bovine_reformes_cl': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'bovine_taurillons_cl': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'bovine_veaux_cc': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'commerc_cl': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'commerc_cl_detail': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'conv_detail_prod_animales': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'conv_detail_prod_vegetales': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'conv_existe_prod_sans_valorisation': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'conv_prod_animales': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'conv_prod_sans_valorisation': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'conv_prod_vegetales': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'culture': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'culture_comm_cc': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'culture_comm_cl': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'culture_comm_vd': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'culture_detail_transformation': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'culture_hors_vd': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'culture_stockage_ferme': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'culture_transformation': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'date_aide_conversion_ab': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'detail_activites': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'etp_associes': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '6', 'decimal_places': '2', 'blank': 'True'}),
            'etp_encadrants': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '6', 'decimal_places': '2', 'blank': 'True'}),
            'etp_familiaux': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '6', 'decimal_places': '2', 'blank': 'True'}),
            'etp_saisonniers': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '6', 'decimal_places': '2', 'blank': 'True'}),
            'etp_salaries_permanents': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '6', 'decimal_places': '2', 'blank': 'True'}),
            'formation_annee': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'formation_annee_commentaire': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'formation_annee_laquelle': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.Formation']", 'null': 'True', 'blank': 'True'}),
            'formation_avenir': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'formation_avenir_details': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'formation_avenir_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.TypeFormation']", 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'lait_abattoirs_vl': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'related_name': "'abattoir_vl'", 'null': 'True', 'symmetrical': 'False', 'to': "orm['references.Abattoir']"}),
            'lait_adultes_cc': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'lait_atelier_decoupe': ('django.db.models.fields.CharField', [], {'max_length': "'100'", 'null': 'True', 'blank': 'True'}),
            'lait_atelier_lait': ('django.db.models.fields.CharField', [], {'max_length': "'100'", 'null': 'True', 'blank': 'True'}),
            'lait_boeufs_cl': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'lait_caissette': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'lait_chevres': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'lait_chevres_atelier_lait': ('django.db.models.fields.CharField', [], {'max_length': "'100'", 'null': 'True', 'blank': 'True'}),
            'lait_chevres_comm_cc': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'lait_chevres_comm_cl': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'lait_chevres_comm_vd': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'lait_chevres_conversion': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'lait_chevres_hors_vd': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'lait_chevres_prod': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'lait_chevres_transformation_ferme': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'lait_chevres_transformation_presta': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'lait_chevres_type_produits': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'lait_comm_cc': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'lait_comm_cl': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'lait_comm_vd': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'lait_decoupe_presta': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'lait_genisses_cl': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'lait_hors_vd': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'lait_laiterie': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.Laiterie']", 'null': 'True', 'blank': 'True'}),
            'lait_nb_chevres': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'lait_nb_vaches': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'lait_prod_laiterie': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'lait_prod_vente_directe': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'lait_produits_transformes': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'lait_quota_laiterie': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'lait_quota_vente_directe': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'lait_reformes_cl': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'lait_taurillons_cl': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'lait_transformation_ferme': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'lait_transformation_presta': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'lait_vaches': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'lait_vaches_conversion': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'lait_veaux_cc': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'legumes': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'legumes_cc_autres': ('django.db.models.fields.CharField', [], {'max_length': "'255'", 'null': 'True', 'blank': 'True'}),
            'legumes_cl_autres': ('django.db.models.fields.CharField', [], {'max_length': "'255'", 'null': 'True', 'blank': 'True'}),
            'legumes_commercialisation_cc': ('django.db.models.fields.CharField', [], {'max_length': "'100'", 'null': 'True', 'blank': 'True'}),
            'legumes_commercialisation_cl': ('django.db.models.fields.CharField', [], {'max_length': "'100'", 'null': 'True', 'blank': 'True'}),
            'legumes_commercialisation_vd': ('django.db.models.fields.CharField', [], {'max_length': "'100'", 'null': 'True', 'blank': 'True'}),
            'legumes_cultives_annee': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'legumes_detail_transformation': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'legumes_hors_vd': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'legumes_systeme_forcage_endives': ('django.db.models.fields.CharField', [], {'max_length': "'100'", 'null': 'True', 'blank': 'True'}),
            'legumes_transformation': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'legumes_vd_autres': ('django.db.models.fields.CharField', [], {'max_length': "'255'", 'null': 'True', 'blank': 'True'}),
            'magasins_detail': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'miel_nb_ruches': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'miel_production_bio': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'mixite': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'moutons': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'moutons_abattoirs': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'related_name': "'abattoir_moutons'", 'null': 'True', 'symmetrical': 'False', 'to': "orm['references.Abattoir']"}),
            'moutons_atelier': ('django.db.models.fields.CharField', [], {'max_length': "'100'", 'null': 'True', 'blank': 'True'}),
            'moutons_comm_cc': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'moutons_comm_cl': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'moutons_comm_vd': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'moutons_decoupe_presta': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'moutons_hors_vd': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'moutons_nb_brebis': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'moutons_nb_conversion': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'moutons_transformation_ferme': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'oeufs_acheteur_cl': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.AcheteurOeufs']", 'null': 'True', 'blank': 'True'}),
            'oeufs_circuits_courts': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'oeufs_comm_cc': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'oeufs_comm_cl': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'oeufs_comm_vd': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'oeufs_nb_oeufs': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'oeufs_nb_pondeuses': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'oeufs_production_bio': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'organisme_certification': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.OrganismeDeCertification']", 'null': 'True', 'blank': 'True'}),
            'personnes_insertion': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'porcs': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'porcs_abattoirs': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'related_name': "'abattoir_porcs'", 'null': 'True', 'symmetrical': 'False', 'to': "orm['references.Abattoir']"}),
            'porcs_atelier': ('django.db.models.fields.CharField', [], {'max_length': "'100'", 'null': 'True', 'blank': 'True'}),
            'porcs_comm_cc': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'porcs_comm_cl': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'porcs_comm_vd': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'porcs_decoupe_presta': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'porcs_hors_vd': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'porcs_nb_conversion': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'porcs_nb_truies': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'porcs_produits_transformes': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'porcs_transformation_ferme': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'produits_dispo_biocabas': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'produits_dispo_magasins': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'produits_dispo_marches': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'produits_dispo_restaurateurs': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'remarques': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'reseaux_engagements': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'restau_collective': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'restau_collective_detail': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'restaurateurs_detail': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'sau_agri': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'statut_choisi': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.StatutCommercialisation']", 'null': 'True', 'blank': 'True'}),
            'statut_commercialisation': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'total_surfaces_assolement': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'types_services': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'to': "orm['references.TypeService']", 'null': 'True', 'blank': 'True'}),
            'vente_a_la_ferme': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'vente_ferme_detail': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'vente_marches_detail': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'vergers_bt': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'vergers_bt_comm_cc': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'vergers_bt_comm_cl': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'vergers_bt_comm_vd': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'vergers_bt_detail_transformation': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'vergers_bt_fruits': ('django.db.models.fields.CharField', [], {'max_length': "'255'", 'null': 'True', 'blank': 'True'}),
            'vergers_bt_hors_vd': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'vergers_bt_transformation': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'vergers_ht': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'vergers_ht_comm_cc': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'vergers_ht_comm_cl': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'vergers_ht_comm_vd': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'vergers_ht_detail_transformation': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'vergers_ht_hors_vd': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'vergers_ht_poires': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'vergers_ht_pommes': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'vergers_ht_prunes': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'vergers_ht_transformation': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'})
        },
        'contacts.personne': {
            'Meta': {'object_name': 'Personne'},
            'adresse': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'civilite': ('django.db.models.fields.CharField', [], {'max_length': "'10'", 'null': 'True', 'blank': 'True'}),
            'code_postal': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'commune': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.Commune']", 'null': 'True', 'blank': 'True'}),
            'courriel': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'courrier_structure': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'date_creation': ('django.db.models.fields.DateField', [], {}),
            'date_derniere_modification': ('django.db.models.fields.DateField', [], {}),
            'fax': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fonction': ('django.db.models.fields.CharField', [], {'max_length': "'255'", 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'pas_de_courriel': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'prenom': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'reseaux_engagements': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'structure': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contacts.Structure']"}),
            'tel_fixe': ('django.db.models.fields.CharField', [], {'max_length': '100', 'blank': 'True'}),
            'tel_mobile': ('django.db.models.fields.CharField', [], {'max_length': '100', 'blank': 'True'}),
            'utilisateur_derniere_modification': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"}),
            'ville': ('django.db.models.fields.CharField', [], {'max_length': "'255'", 'null': 'True', 'blank': 'True'})
        },
        'contacts.projetbio': {
            'Meta': {'object_name': 'ProjetBio'},
            'agriculteur': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contacts.Structure']"}),
            'commentaire': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'date_certification': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'date_engagement_oc': ('django.db.models.fields.DateField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'date_etude': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'date_probable_certification': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'engagement_oc': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'engagement_oc_enjeu_eau': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '4', 'blank': 'True'}),
            'etude_demandee': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'freins_identifies': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'installation_bio': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'remarques': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'suites_a_donner': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'technicien': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']", 'null': 'True', 'blank': 'True'})
        },
        'contacts.rendezvous': {
            'Meta': {'object_name': 'RendezVous'},
            'commentaire': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'date': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'technicien': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']", 'null': 'True', 'blank': 'True'})
        },
        'contacts.rendezvousprojetbio': {
            'Meta': {'object_name': 'RendezVousProjetBio', '_ormbases': ['contacts.RendezVous']},
            'agriculteur': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contacts.Structure']"}),
            'projet_bio': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contacts.ProjetBio']"}),
            'rendezvous_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['contacts.RendezVous']", 'unique': 'True', 'primary_key': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '250'})
        },
        'contacts.rendezvoussuivi': {
            'Meta': {'object_name': 'RendezVousSuivi', '_ormbases': ['contacts.RendezVous']},
            'agriculteur_bio': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contacts.Structure']"}),
            'rendezvous_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['contacts.RendezVous']", 'unique': 'True', 'primary_key': 'True'})
        },
        'contacts.structure': {
            'Meta': {'object_name': 'Structure'},
            'adresse': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'annee_contact': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'categorie': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.CategorieStructure']", 'null': 'True', 'blank': 'True'}),
            'code_postal': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'commentaire': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'commune': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.Commune']", 'null': 'True', 'blank': 'True'}),
            'courriel': ('django.db.models.fields.CharField', [], {'max_length': '250', 'null': 'True', 'blank': 'True'}),
            'date_creation': ('django.db.models.fields.DateField', [], {}),
            'date_derniere_modification': ('django.db.models.fields.DateField', [], {}),
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'etiquettes': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'to': "orm['references.Etiquette']", 'null': 'True', 'blank': 'True'}),
            'fax': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'laiterie': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.Laiterie']", 'null': 'True', 'blank': 'True'}),
            'mois_contact': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'nb_vaches_allaitantes': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'origine_contact': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'parc_naturel_regional': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'pas_de_courriel': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'qual_compl': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'to': "orm['references.AutreQualificatifExploitation']", 'null': 'True', 'blank': 'True'}),
            'quota_laitier': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'sage': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'sau': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '2', 'blank': 'True'}),
            'sau_bio': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '2', 'blank': 'True'}),
            'sau_eau': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '2', 'blank': 'True'}),
            'sau_eau_bio': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '2', 'blank': 'True'}),
            'siret': ('django.db.models.fields.CharField', [], {'max_length': '14', 'null': 'True', 'blank': 'True'}),
            'site_web': ('django.db.models.fields.URLField', [], {'max_length': '250', 'null': 'True', 'blank': 'True'}),
            'statut': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.StatutStructure']", 'null': 'True', 'blank': 'True'}),
            'tel_fixe': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'tel_mobile': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'type_activite': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.TypeActivite']", 'null': 'True', 'blank': 'True'}),
            'type_pm': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'utilisateur_derniere_modification': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"}),
            'ville': ('django.db.models.fields.CharField', [], {'max_length': "'255'", 'null': 'True', 'blank': 'True'}),
            'visibilite': ('django.db.models.fields.CharField', [], {'default': "'personne'", 'max_length': '255'})
        },
        'contenttypes.contenttype': {
            'Meta': {'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'references.abattoir': {
            'Meta': {'object_name': 'Abattoir'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '250'})
        },
        'references.acheteuroeufs': {
            'Meta': {'object_name': 'AcheteurOeufs'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.arrondissement': {
            'Meta': {'unique_together': "(('numero', 'departement'),)", 'object_name': 'Arrondissement'},
            'departement': ('django.db.models.fields.IntegerField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'numero': ('django.db.models.fields.IntegerField', [], {}),
            'region': ('django.db.models.fields.IntegerField', [], {})
        },
        'references.autrequalificatifexploitation': {
            'Meta': {'object_name': 'AutreQualificatifExploitation'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.canton': {
            'Meta': {'unique_together': "(('numero', 'arrondissement'),)", 'object_name': 'Canton'},
            'arrondissement': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.Arrondissement']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'numero': ('django.db.models.fields.IntegerField', [], {})
        },
        'references.categoriestructure': {
            'Meta': {'object_name': 'CategorieStructure'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.clientculture': {
            'Meta': {'object_name': 'ClientCulture'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.commune': {
            'Meta': {'object_name': 'Commune'},
            'arrondissement': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.Arrondissement']"}),
            'cantons': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'to': "orm['references.Canton']", 'null': 'True', 'blank': 'True'}),
            'code_commune': ('django.db.models.fields.CharField', [], {'max_length': "'15'", 'null': 'True', 'blank': 'True'}),
            'code_postal': ('django.db.models.fields.CharField', [], {'max_length': "'15'", 'null': 'True', 'blank': 'True'}),
            'enjeu_eau': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'petite_region': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.PetiteRegionAgricole']"}),
            'zone': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.Zone']"})
        },
        'references.culture': {
            'Meta': {'object_name': 'Culture'},
            'categorie': ('django.db.models.fields.CharField', [], {'max_length': "'100'"}),
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'indice_ordre': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'})
        },
        'references.etiquette': {
            'Meta': {'object_name': 'Etiquette'},
            'description': ('django.db.models.fields.CharField', [], {'max_length': "'255'", 'null': 'True', 'blank': 'True'}),
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.formation': {
            'Meta': {'object_name': 'Formation'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.laiterie': {
            'Meta': {'object_name': 'Laiterie'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '250'})
        },
        'references.organismedecertification': {
            'Meta': {'object_name': 'OrganismeDeCertification'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '250'})
        },
        'references.petiteregionagricole': {
            'Meta': {'object_name': 'PetiteRegionAgricole'},
            'code': ('django.db.models.fields.IntegerField', [], {'unique': 'True'}),
            'departement': ('django.db.models.fields.CharField', [], {'max_length': '3'}),
            'grande_region': ('django.db.models.fields.IntegerField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        'references.statutcommercialisation': {
            'Meta': {'object_name': 'StatutCommercialisation'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.statutstructure': {
            'Meta': {'object_name': 'StatutStructure'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.typeactivite': {
            'Meta': {'object_name': 'TypeActivite'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.typeformation': {
            'Meta': {'object_name': 'TypeFormation'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.typeservice': {
            'Meta': {'object_name': 'TypeService'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.zone': {
            'Meta': {'object_name': 'Zone'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        }
    }
    
    complete_apps = ['contacts']
