# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):
    
    def forwards(self, orm):
        
        # Adding model 'PublicCible'
        db.create_table('references_publiccible', (
            ('nom', self.gf('django.db.models.fields.CharField')(max_length=250)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
        ))
        db.send_create_signal('references', ['PublicCible'])
    
    
    def backwards(self, orm):
        
        # Deleting model 'PublicCible'
        db.delete_table('references_publiccible')
    
    
    models = {
        'references.abattoir': {
            'Meta': {'object_name': 'Abattoir'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '250'})
        },
        'references.acheteuroeufs': {
            'Meta': {'object_name': 'AcheteurOeufs'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.arrondissement': {
            'Meta': {'unique_together': "(('numero', 'departement'),)", 'object_name': 'Arrondissement'},
            'departement': ('django.db.models.fields.IntegerField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'numero': ('django.db.models.fields.IntegerField', [], {}),
            'region': ('django.db.models.fields.IntegerField', [], {})
        },
        'references.autrequalificatifexploitation': {
            'Meta': {'object_name': 'AutreQualificatifExploitation'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.canton': {
            'Meta': {'unique_together': "(('numero', 'arrondissement'),)", 'object_name': 'Canton'},
            'arrondissement': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.Arrondissement']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'numero': ('django.db.models.fields.IntegerField', [], {})
        },
        'references.clientculture': {
            'Meta': {'object_name': 'ClientCulture'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.commune': {
            'Meta': {'object_name': 'Commune'},
            'arrondissement': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.Arrondissement']"}),
            'cantons': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'to': "orm['references.Canton']", 'null': 'True', 'blank': 'True'}),
            'code_commune': ('django.db.models.fields.CharField', [], {'max_length': "'15'", 'null': 'True', 'blank': 'True'}),
            'code_postal': ('django.db.models.fields.CharField', [], {'max_length': "'15'", 'null': 'True', 'blank': 'True'}),
            'enjeu_eau': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'petite_region': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.PetiteRegionAgricole']"}),
            'zone': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['references.Zone']"})
        },
        'references.culture': {
            'Meta': {'object_name': 'Culture'},
            'categorie': ('django.db.models.fields.CharField', [], {'max_length': "'100'"}),
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'indice_ordre': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'})
        },
        'references.etiquette': {
            'Meta': {'object_name': 'Etiquette'},
            'description': ('django.db.models.fields.CharField', [], {'max_length': "'255'", 'null': 'True', 'blank': 'True'}),
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.financeprog': {
            'Meta': {'object_name': 'FinanceProg'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.formation': {
            'Meta': {'object_name': 'Formation'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.formejuridique': {
            'Meta': {'object_name': 'FormeJuridique'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.laiterie': {
            'Meta': {'object_name': 'Laiterie'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '250'})
        },
        'references.organismedecertification': {
            'Meta': {'object_name': 'OrganismeDeCertification'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '250'})
        },
        'references.petiteregionagricole': {
            'Meta': {'object_name': 'PetiteRegionAgricole'},
            'code': ('django.db.models.fields.IntegerField', [], {'unique': 'True'}),
            'departement': ('django.db.models.fields.CharField', [], {'max_length': '3'}),
            'grande_region': ('django.db.models.fields.IntegerField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        'references.publiccible': {
            'Meta': {'object_name': 'PublicCible'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '250'})
        },
        'references.statutcommercialisation': {
            'Meta': {'object_name': 'StatutCommercialisation'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.statutstructure': {
            'Meta': {'object_name': 'StatutStructure'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.typeactivite': {
            'Meta': {'object_name': 'TypeActivite'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.typeformation': {
            'Meta': {'object_name': 'TypeFormation'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.typeservice': {
            'Meta': {'object_name': 'TypeService'},
            'designation': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'references.zone': {
            'Meta': {'object_name': 'Zone'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        }
    }
    
    complete_apps = ['references']
